# class Byebug::StepCommand

Implements the step functionality.

Allows the user the continue execution until the next instruction, possibily in a different frame. Use step to step into method calls or blocks.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/step.rb, line 20
        def self.description
          <<-DESCRIPTION
            s[tep][ times]

            #{short_description}
          DESCRIPTION
        end

regexp() click to toggle source

    # File lib/byebug/commands/step.rb, line 16
    def self.regexp
      /^\s* s(?:tep)? (?:\s+(\S+))? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/step.rb, line 28
    def self.short_description
      "Steps into blocks or methods one or more times"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/step.rb, line 32
    def execute
      steps, err = parse_steps(@match[1], "Steps")
      return errmsg(err) unless steps

      context.step_into(steps, context.frame.pos)
      processor.proceed!
    end